"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: ksp-servicestelle@sgdnord.rlp.de
Created on: 18.08.22

"""
from dal_select2.views import Select2QuerySetView

from user.models import User


class TeamAdminAutocomplete(Select2QuerySetView):
    """ Autocomplete for share with teams

    """
    def get_queryset(self):
        if self.request.user.is_anonymous:
            return User.objects.none()

        qs = User.objects.filter(
            id__in=self.forwarded.get("members", [])
        ).exclude(
            id__in=self.forwarded.get("admins", [])
        )
        if self.q:
            qs = qs.filter(
                username__icontains=self.q
            )
        qs = qs.order_by(
            "username"
        )
        return qs

